Bug 205089 - orca issues
orca issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: orca (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks: FC6Desktop
  Show dependency treegraph
 
Reported: 2006-09-03 21:25 EDT by Matthias Clasen
Modified: 2013-03-13 00:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 00:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 354689 None None None Never

  None (edit)
Description Matthias Clasen 2006-09-03 21:25:27 EDT
Orca puts a menu item in Applications->Other. 
The entry behaves oddly, it seems to do two things at once,
start orca, and present the preferences dialog. Clicking it
multiple times does not work as expected, and there is no obvious
way to stop orca again.
Comment 1 Matthias Clasen 2006-09-03 21:28:10 EDT
Furthermore, turning off speech does not seem to turn of speech.
Comment 2 Ronald Warsow 2006-09-06 11:56:54 EDT
i get this, when i start orca from command line (orca-1.0.0-1.fc6.i386.rpm):

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/orca/speech.py", line 57, in
getSpeechServerFactories
    [''])
  File "/usr/lib/python2.4/site-packages/orca/gnomespeechfactory.py", line 50, in ?
    atspi.ORBit.load_typelib('GNOME_Speech')
RuntimeError: could not load typelib
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/orca/speech.py", line 98, in init
    [''])
  File "/usr/lib/python2.4/site-packages/orca/gnomespeechfactory.py", line 50, in ?
    atspi.ORBit.load_typelib('GNOME_Speech')
RuntimeError: could not load typelib
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/orca/orca.py", line 882, in
_showPreferencesConsole
    module.showPreferencesUI()
  File "/usr/lib/python2.4/site-packages/orca/orca_console_prefs.py", line 296,
in showPreferencesUI
    if not setupSpeech(prefsDict):
  File "/usr/lib/python2.4/site-packages/orca/orca_console_prefs.py", line 96,
in setupSpeech
    speech.init()


  File "/usr/lib/python2.4/site-packages/orca/speech.py", line 108, in init
    __speechserver = factory.SpeechServer.getSpeechServer()
AttributeError: 'NoneType' object has no attribute 'SpeechServer'

Comment 3 Matthias Clasen 2006-09-07 15:32:53 EDT
See the upstream bug for ideas how to work around some of the issues.
Comment 4 Matthias Clasen 2006-09-20 00:12:24 EDT
The orca menuitem is gone, John has added a Preferences button to the
a11y prefs instead. This clearly needs more work post-FC6, but that should
probably happen upstream.

Note You need to log in before you can comment on or make changes to this bug.